///@file sample1.cpp - how to open and close SQLite3's database.
#include <stdio.h>
#include <stdlib.h>
#include "sqlite3.h"

int main(int argc, char** argv)
{
	sqlite3* db;
	int err;
	char* db_name = (argc > 1) ? argv[1] : "sample.db";

	// open database
	err = sqlite3_open(db_name, &db);

	if (err != SQLITE_OK) {
		// show error and exit.
		fputs(sqlite3_errmsg(db), stderr);
		exit(1);
	}

	// close database
	err = sqlite3_close(db);

	return EXIT_SUCCESS;
}
// sample1.cpp - end.
